import "classes/*.pp"
import "common/*.pp"
import "/etc/puppet/modules/module-svn/manifests/*.pp"

# Create "/tmp/testfile" if it doesn't exist.
class test_class {
    file { "/tmp/testfile":
       ensure => present,
       mode   => 644,
       owner  => root,
       group  => root
    }
}

# tell puppet on which client to run the class
node peon {
    include test_class
    include estacion-de-trabajo
}
node walsh {
    include test_class

    cronapt::mailon-mailto { dist:
       mailon => "upgrade",
       mailto => "seguridad@localhost"
    }

    include estacion-de-trabajo

    ltsp::buildclient { dist:
        mirror => "http://debproxy:3142/ar.archive.ubuntu.com/ubuntu",
        securitymirror => "http://debproxy:3142/security.ubuntu.com"
    }

    include ltsp::tftpdhpa::activate

    include matrix::ldapauthclient

}

node zara  {
    include test_class
}

